Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I got a notification of available updates today (20140703), and as usual I checked the contents with apt-get -s upgrade (not as root as a double security):

NOTE: This is only a simulation!
      apt-get needs root privileges for real execution.
      Keep also in mind that locking is deactivated,
      so don't depend on the relevance to the real current situation!
Reading package lists...
Building dependency tree...
Reading state information...
The following package was automatically installed and is no longer required:
  libgps21
Use 'apt-get autoremove' to remove it.
The following packages have been kept back:
  akonadiconsole akregator ark baloo cantor cantor-backend-kalgebra
  cantor-backend-maxima cantor-backend-octave cantor-backend-python
  cantor-backend-r cantor-backend-scilab dolphin grub-common grub-pc
  grub-pc-bin grub2-common kaddressbook kate katepart kde-baseapps-bin
  kde-baseapps-data kde-config-pimactivity kde-runtime kdepasswd
  kdepim-kresources kdepim-runtime kdepim-runtime-dbg kdepimlibs-dbg
  kdepimlibs-kio-plugins kdepimlibs5-dev kfind kgpg kmail kmix knotes
  konqueror konqueror-nsplugins konsole kontact korganizer kwalletmanager
  libakonadi-calendar4 libakonadi-contact4 libakonadi-kabc4 libakonadi-kcal4
  libakonadi-kde4 libakonadi-kmime4 libakonadi-notes4 libakonadi-socialutils4
  libakonadi-xml4 libastro-dev libastro1 libbaloocore4 libbaloofiles4
  libbaloopim4 libbalooxapian4 libcalendarsupport4 libeventviews4 libgpgme++2
  libincidenceeditorsng4 libkabc4 libkactivities-bin libkactivities-dev
  libkactivities-models1 libkactivities6 libkalarmcal2
  libkasten2controllers2abi1 libkasten2core2 libkasten2gui2
  libkasten2okteta1controllers1abi1 libkasten2okteta1core1
  libkasten2okteta1gui1 libkateinterfaces4 libkatepartinterfaces4 libkblog4
  libkcal4 libkcalcore4 libkcalutils4 libkcompactdisc4 libkdepim4
  libkdepimdbusinterfaces4 libkdgantt2-0 libkfilemetadata4 libkholidays4
  libkimap4 libkldap4 libkleo4 libkmanagesieve4 libkmbox4 libkmime4
  libkonq-common libkonq5abi1 libkonqsidebarplugin4a libkontactinterface4
  libkpgp4 libkpimidentities4 libkpimtextedit4 libkpimutils4 libkresources4
  libksieve4 libksieveui4 libktnef4 libkxmlrpcclient4 libmailcommon4
  libmailimporter4 libmailtransport4 libmarble-dev libmarblewidget18
  libmessagecomposer4 libmessagecore4 libmessagelist4 libmessageviewer4
  libmicroblog4 libnepomukcleaner4 libnepomukcore4abi1 libnoteshared4
  libokteta1core1 libokteta1gui1 libokularcore4 libpimactivity4 libpimcommon4
  libqgpgme1 libsendlater4 libsyndication4 libtemplateparser4 marble
  marble-plugins marble-qt nepomuk-core-dev nepomuk-core-ffmpegextractor
  nepomuk-core-runtime okular okular-dev okular-extra-backends
  plasma-runners-addons plasma-scriptengine-javascript
  plasma-widget-folderview plasma-widget-lancelot zfs-initramfs
The following packages will be upgraded:
  akonadi-facebook freespacenotifier gnome-settings-daemon
  gnome-settings-daemon-schemas kate-data kde-runtime-data kde-style-oxygen
  kde-wallpapers kde-wallpapers-default kde-window-manager
  kde-window-manager-common kde-workspace kde-workspace-bin kde-workspace-data
  kde-workspace-kgreet-plugins kdebase-runtime kdepim-dbg kdm khelpcenter4
  kinfocenter klipper kmenuedit ksysguard ksysguardd ktimetracker
  libdbusmenu-glib4 libdbusmenu-gtk3-4 libdbusmenu-gtk4 libkdecorations4abi1
  libkephal4abi1 libkonq5-templates libkscreensaver5 libksgrd4
  libksignalplotter4 libkwineffects1abi4 libkwinglesutils1 libkwinglutils1abi3
  libkworkspace4abi2 libnm-gtk-common libnm-gtk0 libnspr4 libnspr4-0d
  libplasma-geolocation-interface4 libplasmaclock4abi4 libplasmagenericshell4
  libprocesscore4abi1 libprocessui4a libtaskmanager4abi5 libweather-ion6
  nautilus-data nepomuk-core-data plasma-dataengines-addons
  plasma-dataengines-workspace plasma-desktop plasma-netbook
  plasma-scriptengine-webkit plasma-widget-kimpanel plasma-widgets-addons
  plasma-widgets-workspace systemsettings
60 upgraded, 0 newly installed, 0 to remove and 139 not upgraded.

Hmmm, the only packages being held on my system are the 4 grub packages and zfs-initramfs, completely unrelated to the remaining packages being shown as held back. Or so I'd hope, but checking on a 2nd host that doesn't require specific ZFS-related bootloader packages shows the same other packages being held back. Worse, a apt-get -s dist-upgrade shows a number of important packages that would be REMOVED (presumable to be able to hold less packages back):

The following packages will be REMOVED:
  akonadiconsole kaddressbook kde-baseapps-bin kdepasswd kdepim-dbg
  kdepimlibs-dbg kdepimlibs5-dev kmail konqueror kubuntu-desktop libksieveui4
  libmarble-dev
The following packages have been kept back:
  grub-common grub-pc grub-pc-bin grub2-common kdepim-runtime-dbg kgpg
  libastro-dev libcalendarsupport4 libeventviews4 libkdgantt2-0 libkleo4
  libkpgp4 libsendlater4 plasma-runners-addons plasma-scriptengine-javascript
  zfs-initramfs

The contents of my /etc/apt/sources.list :

deb http://fr.archive.ubuntu.com/ubuntu/ trusty main restricted
deb-src http://fr.archive.ubuntu.com/ubuntu/ trusty restricted multiverse universe main #Added by software-properties

deb http://fr.archive.ubuntu.com/ubuntu/ trusty-updates main restricted
deb-src http://fr.archive.ubuntu.com/ubuntu/ trusty-updates restricted multiverse universe main #Added by software-properties

deb http://fr.archive.ubuntu.com/ubuntu/ trusty universe
deb http://fr.archive.ubuntu.com/ubuntu/ trusty-updates universe

deb http://fr.archive.ubuntu.com/ubuntu/ trusty multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ trusty-updates multiverse

deb http://fr.archive.ubuntu.com/ubuntu/ trusty-backports main restricted universe multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu/ trusty-backports main restricted universe multiverse #Added by software-properties

deb http://security.ubuntu.com/ubuntu trusty-security main restricted
deb-src http://security.ubuntu.com/ubuntu trusty-security restricted multiverse universe main #Added by software-properties
deb http://security.ubuntu.com/ubuntu trusty-security universe
deb http://security.ubuntu.com/ubuntu trusty-security multiverse

deb http://archive.canonical.com/ubuntu trusty partner
deb-src http://archive.canonical.com/ubuntu trusty partner

deb http://extras.ubuntu.com/ubuntu trusty main
deb-src http://extras.ubuntu.com/ubuntu trusty main

What's going on here? Are the repositories "in flux", and will additional updated packages corresponding to those being held back appear in the coming hours?

share|improve this question
    
Here's a link to a discussion of the issue on the Kubuntu forum, containing a link to a similar discussion on Linux Mint's KDE forum: kubuntuforums.net/… –  RJVB Jul 3 at 15:16
    
I must have been right about my "in-flux" assumption: kubuntuforums.net/… –  RJVB Jul 3 at 15:24

3 Answers 3

The form of your update might need to be changed: try

apt-get -s dist-upgrade

The 'upgrade' option attempts to only upgrade installed packages, and the dist-upgrade works on installed packages and the dependencies of those packages. This is covered at debian-administration.org and in AskUbuntu

share|improve this answer
    
Did you read my OP? If so, surely you noticed I checked dist-upgrade, and that that would have left me with a system missing a number of packages I require (and others still held back) ... –  RJVB Jul 3 at 14:56
    
There's a pretty good dicusion of the apt-get upgrade and dist-upgrade at askubuntu.com/questions/81585/… –  Charles Green Jul 3 at 15:10
    
Again, that's not the issue, nor the question. I know the difference (which is a bit more complex than your summary above). –  RJVB Jul 3 at 15:15

I ran into this bug this morning. Could not fix the problem after it uninstalled knotes, rekonq and other programs. Then I noticed the same crazy update was suggested on another Kubuntu 14.04 system (with the KDE 4.13.2 update). Did not install it this time ! I just updated the sources, and it looks like it is fixed now (have not tried it yet). See a discussion at https://www.kubuntuforums.net/showthread.php?65831-what-s-up-with-today-s-upgrade .

share|improve this answer

With the huge number of packages in this update, all the packages simply have not quite made it out to all the servers out there yet. Give it a little time, update the package lists (sudo apt-get update) again and see if it works properly once all the full set is available on your server.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.